
QGIS Application - Bug report #19780

python_module_qgis__core build error

2018-09-06 07:55 AM - Liang GISer

Status: Closed

Priority: Normal

Assignee: Liang GISer

Category: Build/Install

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27605

Description

qgis source code version：3.2 

os version: Windows 10 Enterprise

build tool: visual studio 2015

The error information:

------ All rebuilds have been started: Project: python_module_qgis__core, Configuration: RelWithDebInfo x64 ------

4>  Generating core/sip_corepart0.cpp, core/sip_corepart1.cpp, core/sip_corepart2.cpp, core/sip_corepart3.cpp

4>

4>  sip: Usage: sip [-h] [-V] [-a file] [-b file] [-B tag] [-c dir] [-d file] [-D] [-e] [-f] [-g] [-I dir] [-j #] [-k] [-m file] [-o] [-p module] [-P] [-r] [-s

suffix] [-t tag] [-w] [-x feature] [-X id:file] [-y file] [-z file] [@file] [file]

4>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.CppCommon.targets(171,5): error MSB6006: "cmd.exe"

exited with code 1.

History

#1 - 2018-09-06 08:17 AM - Liang GISer

I build the project by sip 4.19.3, sip was downloaded by OSGeo4W64

And the build path doesn't have any space

#2 - 2018-09-06 11:45 AM - Giovanni Manghi

- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 3.2

- Priority changed from High to Normal

- Tracker changed from Feature request to Bug report

#3 - 2018-09-23 11:24 AM - Liang GISer

- Assignee set to Liang GISer

- Status changed from Open to Closed
